org.apache.naming.factory

## Class EjbFactory

- java.lang.Object
- - org.apache.naming.factory.EjbFactory

All Implemented Interfaces:
  ObjectFactory

    public class EjbFactory
    extends Object
    implements ObjectFactory

Object factory for EJBs.

Author:
  Remy Maucherat

### Constructor Summary

Constructors
Constructor and Description
`EjbFactory()`

### Method Summary

Methods
`Object` `getObjectInstance(Object obj, Name name, Context nameCtx, Hashtable<?,?> environment)` Create a new EJB instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EjbFactory

    public EjbFactory()

### Method Detail

#### getObjectInstance

    public Object getObjectInstance(Object obj,
                           Name name,
                           Context nameCtx,
                           Hashtable<?,?> environment)
                             throws Exception

Create a new EJB instance.

Specified by:
  `getObjectInstance` in interface `ObjectFactory`
Parameters:
  `obj` - The reference object describing the DataSource
Throws:
  `Exception`